Hapus grup aset material Seedance
curl --request DELETE \
--url https://api.tokenlab.sh/v1/videos/assets/groups/{groupId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tokenlab.sh/v1/videos/assets/groups/{groupId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tokenlab.sh/v1/videos/assets/groups/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deleted": true,
"id": "group-20260720123456-vrt01"
}{
"error": {
"message": "Invalid API key provided",
"type": "invalid_api_key"
}
}{
"error": {
"message": "API key not found",
"type": "invalid_request_error"
}
}{
"error": {
"message": "An internal error occurred",
"type": "server_error"
}
}{
"error": {
"message": "Seedance material library request failed",
"type": "server_error",
"code": "seedance_material_library_request_failed"
}
}Video & materi
Hapus Grup Aset Material
Menghapus grup material Seedance yang dimiliki oleh organisasi saat ini.
DELETE
/
v1
/
videos
/
assets
/
groups
/
{groupId}
Hapus grup aset material Seedance
Hapus grup material dan aset material TokenLab di dalamnya. Tindakan ini tidak dapat dibatalkan.
Jika pustaka material TokenLab tidak dapat menyelesaikan penghapusan karena status otorisasi saat ini tidak mengizinkannya, TokenLab akan mengembalikan error pustaka material netral. Setelah dihapus, grup dan asetnya tidak dapat lagi digunakan dalam pembuatan video.
project_name memisahkan sumber daya dalam organisasi yang terautentikasi. Nilai default adalah default; gunakan nilai yang sama dan peka huruf besar-kecil untuk grup dan aset terkait. Kirim di body JSON untuk POST/PUT dan parameter kueri untuk GET/DELETE.
Contoh Permintaan
curl "https://api.tokenlab.sh/v1/videos/assets/groups/group-20260720123456-vrt01?project_name=default" \
-X DELETE \
-H "Authorization: Bearer $TOKENLAB_API_KEY"
Contoh Respons
{
"deleted": true,
"id": "group-20260720123456-vrt01"
}
Otorisasi
Autentikasi API Key. Buat atau kelola API key di Dashboard > API > API Keys.
Parameter Path
Parameter Query
Cakupan proyek untuk sumber daya materi.
Required string length:
1 - 128